Subject: Re: powerpc: Fix smp_wmb barrier definition use use lwsync consistently

From: Michael Ellerman <[email-masked]>
Date: Sun, 1 Apr 2018 01:04:00 +1100 (AEDT)

On Thu, 2018-03-22 at 10:41:46 UTC, Nicholas Piggin wrote:
> asm/barrier.h is not always included after asm/synch.h, which meant
> it was missing __SUBARCH_HAS_LWSYNC, so in some files smp_wmb() would
> be eieio when it should be lwsync. kernel/time/hrtimer.c is one case.
> 
> __SUBARCH_HAS_LWSYNC is only used in one place, so just fold it in
> to where it's used. Previously with my small simulator config, 377
> instances of eieio in the tree. After this patch there are 55.
> 
> Cc: Anton Blanchard <[email-masked]>
> Signed-off-by: Nicholas Piggin <[email-masked]>

Applied to powerpc next, thanks.

https://git.kernel.org/powerpc/c/0bfdf598900fd62869659f360d3387

cheers